Default Payment Page

checkout-url redirects the user to the page with the bank list. However, CHIP provides the flexibility to let a checkout-url redirect the user directly to the bank page by appending query parameters to the URL.
Direct Post
This link redirects the user directly to the Maybank FPX page:{purchase_id} is the purchase ID from the checkout_url field returned in the purchase response. Use your own purchase’s ID — example URLs pointing at someone else’s purchase will not work.
Differences between Checkout URL and Direct Post URL
Both use the same URL, except direct post appends query parameters to convert the checkout URL into a direct post URL:Set a default payment method
The?preferred={payment_method} parameter above skips the default payment page. If you want to pre-select a method on the default payment page while still showing the customer all available options, use ?active={payment_method} instead.